Bug 146581 - [PATCH] net-mgmt/zabbix-server: support for ipmi via sysutils/OpenIPMI
Summary: [PATCH] net-mgmt/zabbix-server: support for ipmi via sysutils/OpenIPMI
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-14 14:30 UTC by alex.deiter
Modified: 2010-06-30 20:50 UTC (History)
0 users

See Also:


Attachments
file.diff (733 bytes, patch)
2010-05-14 14:30 UTC, alex.deiter
no flags Details | Diff
patch-net-mgmt-zabbix-server-Makefile.txt (734 bytes, patch)
2010-05-14 14:41 UTC, alex.deiter
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description alex.deiter 2010-05-14 14:30:12 UTC
Hi,

Please see attached patch - ipmi support for zabbix-server.
Patch successfully tested with Sun Fire x4250/x4200/x4150.

Thanks a lot!

Fix: Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/net-mgmt/zabbix-server && make install
Comment 1 Edwin Groothuis freebsd_committer 2010-05-14 14:30:25 UTC
Maintainer of net-mgmt/zabbix-server,

Please note that PR ports/146581 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146581

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-05-14 14:30:27 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 alex.deiter 2010-05-14 14:41:04 UTC
Hi,

I'm sorry - submitted patch with an error!

+LIB_DEPENDS+=  OpenIPMI:${PORTSDIR}/sysutils/OpenIPMI

Should be:

+LIB_DEPENDS+=	OpenIPMI:${PORTSDIR}/sysutils/openipmi

Please review new attached patch.

Thanks a lot!

--
Alex Deiter
Comment 4 Jim Riggs 2010-05-24 20:54:58 UTC
The only change that I would suggest to this patch is changing the =
`.ifndef WITHOUT_IPMI' to `.ifdef WITH_IPMI' since the knob defaults to =
off.  With that change, I am fine with this being committed.=
Comment 5 Stefan Walter freebsd_committer 2010-06-30 16:34:51 UTC
State Changed
From-To: feedback->open

Maintainer approved. 


Comment 6 Stefan Walter freebsd_committer 2010-06-30 16:34:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 7 Stefan Walter freebsd_committer 2010-06-30 20:43:49 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 8 dfilter service freebsd_committer 2010-06-30 20:43:54 UTC
stefan      2010-06-30 19:43:40 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/zabbix-server Makefile 
  Log:
  Add optional IPMI support.
  
  PR:             146581
  Submitted by:   Alex Deiter <alex.deiter@gmail.com>
  Approved by:    maintainer
  Feature safe:   yes
  
  Revision  Changes    Path
  1.8       +6 -0      ports/net-mgmt/zabbix-server/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"